## javax.media.jai.registry
Class RemoteCRIFRegistry

    java.lang.Object
      |
      +--javax.media.jai.registry.RemoteCRIFRegistry

public final class RemoteCRIFRegistry
extends java.lang.Object

Utility class to provide type-safe interaction with the `OperationRegistry` for `RemoteCRIF` objects. If the `OperationRegistry` specified as an argument to the methods in this class is null, then `JAI.getOperationRegistry()` will be used.

Since:
  1.1

Constructor Summary
`RemoteCRIFRegistry()`

Method Summary

`static RemoteRenderedImage`

`create(OperationRegistry registry, java.lang.String protocolName, java.lang.String serverName, java.lang.String operationName, java.awt.image.renderable.RenderContext renderContext, java.awt.image.renderable.ParameterBlock paramBlock)`
Creates a rendering remotely, given the serverName, protocolName, name of the operation to be performed, a `RenderContext` and a `ParameterBlock` containing the operation's sources and parameters.

`static RemoteCRIF` `get(OperationRegistry registry, java.lang.String protocolName)` Returns the `RemoteCRIF` registered under the given protocol name in the specified `OperationRegistry`.
`static void` `register(OperationRegistry registry, java.lang.String protocolName, RemoteCRIF rcrif)` Registers the given `RemoteCRIF` with the given `OperationRegistry` under the given protocolName
`static void` `unregister(OperationRegistry registry, java.lang.String protocolName, RemoteCRIF rcrif)` Unregisters the given `RemoteCRIF` previously registered under the given protocolName in the given `OperationRegistry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteCRIFRegistry

    public RemoteCRIFRegistry()

Method Detail

### register

    public static void register(OperationRegistry registry,
                                java.lang.String protocolName,
                                RemoteCRIF rcrif)

  Registers the given `RemoteCRIF` with the given `OperationRegistry` under the given protocolName
  Parameters:
    `registry` - The `OperationRegistry` to register the `RemoteCRIF` with. If this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `protocolName` - The protocolName to register the `RemoteCRIF` under.
    `rcrif` - The `RemoteCRIF` to register.
  Throws:
    `java.lang.IllegalArgumentException` - if protocolName is null.
    `java.lang.IllegalArgumentException` - if rcrif is null.
    `java.lang.IllegalArgumentException` - if there is no `RemoteDescriptor` registered against the given protocolName.

### unregister

    public static void unregister(OperationRegistry registry,
                                  java.lang.String protocolName,
                                  RemoteCRIF rcrif)

  Unregisters the given `RemoteCRIF` previously registered under the given protocolName in the given `OperationRegistry`.
  Parameters:
    `registry` - The `OperationRegistry` to unregister the `RemoteCRIF` from. If this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `protocolName` - The protocolName to unregister the `RemoteCRIF` from under.
    `rcrif` - The `RemoteCRIF` to unregister.
  Throws:
    `java.lang.IllegalArgumentException` - if protocolName is null.
    `java.lang.IllegalArgumentException` - if rcrif is null.
    `java.lang.IllegalArgumentException` - if there is no `RemoteDescriptor` registered against the given protocolName.
    `java.lang.IllegalArgumentException` - if the rcrif was not previously registered against protocolName.

### get

    public static RemoteCRIF get(OperationRegistry registry,
                                 java.lang.String protocolName)

  Returns the `RemoteCRIF` registered under the given protocol name in the specified `OperationRegistry`.
  Parameters:
    `registry` - The `OperationRegistry` to use. If this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `protocolName` - The name of the remote imaging protocol.
  Throws:
    `java.lang.IllegalArgumentException` - if protocolName is null.
    `java.lang.IllegalArgumentException` - if there is no `RemoteDescriptor` registered against the given `protocolName`.

### create

    public static RemoteRenderedImage create(OperationRegistry registry,
                                             java.lang.String protocolName,
                                             java.lang.String serverName,
                                             java.lang.String operationName,
                                             java.awt.image.renderable.RenderContext renderContext,
                                             java.awt.image.renderable.ParameterBlock paramBlock)

  Creates a rendering remotely, given the serverName, protocolName, name of the operation to be performed, a `RenderContext` and a `ParameterBlock` containing the operation's sources and parameters. The registry is used to determine the `RemoteCRIF` to be used to instantiate the operation.
  Parameters:
    `registry` - The `OperationRegistry` to use to create the rendering. If this is `null`, then `JAI.getDefaultInstance().getOperationRegistry()` will be used.
    `protocolName` - The protocol to be used for remote imaging.
    `serverName` - The name of the server.
    `operationName` - The name of the operation to be performed remotely.
    `renderContext` - A `RenderContext` specifying the context in which the rendering should be requested.
    `paramBlock` - The `ParameterBlock` specifying the sources and parameters required for the operation.
  Throws:
    `java.lang.IllegalArgumentException` - if protocolName is null.
    `java.lang.IllegalArgumentException` - if serverName is null.
    `java.lang.IllegalArgumentException` - if operationName is null.
    `java.lang.IllegalArgumentException` - if there is no `RemoteDescriptor` registered against the given protocolName.